## org.eclipse.datatools.connectivity.ui.actions
Class ExpandProvider

    java.lang.Object
      org.eclipse.ui.actions.ActionGroup
          org.eclipse.ui.navigator.CommonActionProvider
              org.eclipse.datatools.connectivity.ui.actions.ExpandProvider

All Implemented Interfaces:
  org.eclipse.ui.navigator.IMementoAware

    public class ExpandProvider

extends org.eclipse.ui.navigator.CommonActionProvider

Constructor Summary
`ExpandProvider()`

Method Summary
`void` `fillActionBars(org.eclipse.ui.IActionBars theActionBars)`
`void` `init(org.eclipse.ui.navigator.ICommonActionExtensionSite aSite)`

Methods inherited from class org.eclipse.ui.navigator.CommonActionProvider
`restoreState, saveState`

Methods inherited from class org.eclipse.ui.actions.ActionGroup
`dispose, fillContextMenu, getContext, setContext, updateActionBars`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ExpandProvider

    public ExpandProvider()

Method Detail

### init

    public void init(org.eclipse.ui.navigator.ICommonActionExtensionSite aSite)

  Overrides:
    `init` in class `org.eclipse.ui.navigator.CommonActionProvider`

### fillActionBars

    public void fillActionBars(org.eclipse.ui.IActionBars theActionBars)

  Overrides:
    `fillActionBars` in class `org.eclipse.ui.actions.ActionGroup`